Bug 181459 - hal-device-manager take a long time to start up
Summary: hal-device-manager take a long time to start up
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: dbus (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: i386 Linux
low
medium
Target Milestone: ---
Assignee: John (J5) Palmieri
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-02-14 13:15 UTC by sangu
Modified: 2013-03-13 04:49 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-16 19:15:31 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description sangu 2006-02-14 13:15:37 UTC
Description of problem:
hal-device-manager take a long time to start up.

Version-Release number of selected component (if applicable):
0.5.7-0.cvs20060213.1

How reproducible:
always

Steps to Reproduce:
1. $hal-device-manager
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 3 John (J5) Palmieri 2006-02-15 14:53:49 UTC
I thought I fixed this with my last d-bus patch.  It will be fixed upstream in
the D-Bus python bindings but it might have to show up as an fc5 update.

Comment 4 Daryl Hochhalter 2006-05-16 16:59:58 UTC
In addition to a slow start:
I believe there are some issues with other services that must be running. I'm
not sure which services are required apart from D-Bus? I created a launcher for
hal-device-manager but am getting the message that it can't get the device list,
make sure hal daemon is running. I wonder if there is a problem with the alias
for hald? I've noticed some instruction suggest starting with the command
"service 'hal daemon' but in the services list it is 'haldaemon' I've also got
other apps that are telling me to make sure hald is running (ie. volume manager
and sessions). hald is running and I've restarted it several times.

Comment 5 John (J5) Palmieri 2006-05-16 19:15:31 UTC
Daryl, please open another bug and provide more information like what version of
Fedora you are running and when did this start happening.  This bug should be
closed as it is fixed in FC5 and Rawhide.


Note You need to log in before you can comment on or make changes to this bug.